jQuery.fn.extend(
  {
    findPos : function() {
      obj = jQuery(this).get(0);
      
      if(obj) {
        var curleft = obj.offsetLeft || 0;
        var curtop = obj.offsetTop || 0;
        while (obj = obj.offsetParent) {
            curleft += obj.offsetLeft
            curtop += obj.offsetTop
        }
      }
      return {x:curleft,y:curtop};
    }
  }
);

function containerHeight(contName) {
  var returnHeight = 0;
  
  contPos = $('.' + contName).findPos();
  
  if(contPos != null) {
    returnHeight = parseInt(jQuery("." + contName).outerHeight(true));
    
    // La proprit suivante ne marche pas avec IE (apparemment)
    if(navigator.userAgent.indexOf("MSIE") == -1) {
      var borderSpacing = jQuery("." + contName).css("border-spacing");
      
      if(borderSpacing != null && borderSpacing != "") {
        var iBlank = borderSpacing.indexOf(" ");
        var bsH = parseInt(borderSpacing.substring(iBlank));
        
        returnHeight = returnHeight + (2 * bsH);
      }
    }
  }
  
  return returnHeight;
}

function maxHeight(fristHeight, lastHeight) {
  if (fristHeight != null && lastHeight != null && fristHeight != -1 && lastHeight != -1) {
    if (lastHeight > fristHeight) {
  	   return lastHeight;
    }
  }
  else {
    return 0;
  }
  
  return fristHeight;
}

function resizebloc(){
  var bodyH, myBodyH;
  var containerHeaderH, containerBorderTopH;
  var containerContentsH;
  var containerContentsLeftH, containerMenuH;
  var containerContentsRightH, containerConnexionH, containerContentsDatasH;
  var containerFooterH;

  var szcontainerContentsLoginPage;
  var szcontainerContentsConnectedPage;
  var sgpubheight=0;
  var myimg;
 
  bodyH = jQuery("body").outerHeight(true);  // height of the viewport
  
  containerHeaderH        = containerHeight("containerHeader");
  containerBorderTopH     = containerHeight("containerBorderTop");
  containerContentsH      = containerHeight("containerContents");
  containerContentsLeftH  = containerHeight("containerContentsLeft");
  containerMenuH          = containerHeight("containerMenu");
  containerContentsRightH = containerHeight("containerContentsRight");
  containerConnexionH     = containerHeight("containerConnexion");
  containerContentsDatasH = containerHeight("containerContentsDatas");
  containerFooterH        = containerHeight("containerFooter");
  
  // Get height of: (login page button bar - aka element containerContentsLeftH) plus the image size
  if (document.getElementById('bbhorizontale')){ // true if this is the login page
    if(document.getElementById('pubsg')){  // true if the div pubsg for the image is present on welcome page
      myimg = document.getElementById('pubsg');
      sgpubheight = myimg.clientHeight;
    }
    szcontainerContentsLoginPage=containerContentsLeftH + sgpubheight;
  }
  
  maxContent = maxHeight(containerContentsH, containerContentsLeftH);
  maxContent = maxHeight(maxContent, containerMenuH);
  maxContent = maxHeight(maxContent, containerContentsRightH);
  maxContent = maxHeight(maxContent, containerConnexionH + containerContentsDatasH);


  myBodyH = containerHeaderH + containerBorderTopH + maxContent +  containerFooterH;  
  if (myBodyH < bodyH) {
  	   szcontainerContentsConnectedPage=bodyH - (containerHeaderH + containerBorderTopH + containerFooterH)-50;

  	   if (szcontainerContentsLoginPage==containerContentsLeftH){
  	   	szcontainerContentsLoginPage=szcontainerContentsConnectedPage;
  	   }

    if (document.getElementById('pubsg') || document.getElementById('bbhorizontale')){
      jQuery("div#bbhorizontale.containerContents").css("height",szcontainerContentsLoginPage+"px");
	  $(".containerMenu").css("height",szcontainerContentsConnectedPage+"px");
    } else {
      jQuery("div#bbhconnected.containerContents").css("height", szcontainerContentsConnectedPage+5+ "px");
	  $(".containerMenu").css("height",szcontainerContentsConnectedPage+"px");
    }
  }else{
  
    szcontainerContentsConnectedPage=bodyH -45;
	$(".containerMenu").css("height",szcontainerContentsConnectedPage+"px");
  
  }
}

function resizeWidth() {
  // Problme d'affichage sous IE lorsque l'on a des tableaux trop gds.
  // Le scrolling se fait correctement mais on a un dpassement horizontal.
  // De plus le max-width semble ne pas marcher.
  // C'est pourquoi on spcifie des tailles fixes pour IE.
  // Merci les diffrents comportements suivant les browsers
  if(navigator.userAgent.indexOf("MSIE") != -1) {
    jQuery(".containerContentsDatas").css("width", "748px");
    jQuery(".containerConnexion").css("width", "758px");
    jQuery(".containerContents").css("width", "1000px");
  }
}

$(window).resize(function() {
  resizebloc();
  resizeWidth();
});

$(document).ready(readyfunc);

function readyfunc(){
  resizebloc();
  resizeWidth();

  var dataTable = $(".table");
  var messTable = $(".messTable");
  var tooltip  = $("body").find("#tooltip, .extooltip");
  var nav  = $("body").find("#page-navigation");
  var bicol = $("body").find(".bicol");
  /* fix z-index IE6 */
  if ($.browser.msie) {
    var zIndexNumber = 800;
    $("div").each(
      function() {
        $(this).css('zIndex', zIndexNumber);
        zIndexNumber -= 10;
      }
    );
  }
  /* fix z-index IE6 end*/

  /* Check Internet Explorer Version, if IE < v8 => stop with error message */
  var myNav = navigator.userAgent.toLowerCase();
  if (myNav.indexOf('msie') != -1) {
	var IE_VER=((myNav.indexOf('msie') != -1) ? parseInt(myNav.split('msie')[1]) : false);
  }
  
  if(typeof IE_VER != 'undefined' && IE_VER < 8){
    $(
      function(){
        $("<div>")
          .css(
            {
              'position': 'absolute',
              'top': '0px',
              'left': '0px',
              backgroundColor: '#f1F1F1',
              'opacity': '1',
              'width': '100%',
              'height': $(window).height(),
              zIndex: 5000
            }
          )
          .appendTo("body");

          $("<div><center><p><br /><strong>Ce site n'est pas compatible avec les versions d'Internet Explorer infrieures  la version 8.</strong><br /><br />Veuillez <a href='http://windows.microsoft.com/fr-fr/internet-explorer/download-ie'>mettre  jour votre navigateur</a></p>")
            .css(
              {
                backgroundColor: 'white',
                'top': '50%',
                'left': '50%',
                marginLeft: -210,
                marginTop: -100,
                width: 410,
                paddingRight: 10,
                height: 200,
                'position': 'absolute',
                zIndex: 6000
              }
            )
            .appendTo("body");
        }
    );  
  } 
  /* IE 6 block end*/
  
    /*---------------------------------------------
      @classes generator
      @for single th <th colspan= > still should be used 
    --------------------------------------------------------*/  

  $('.bicol div.detaibox_field:nth-child(odd)').addClass('oddr');
  $('.bicol div.detaibox_field:nth-child(even)').addClass('evenr');

  dataTable.find("tr:nth-child(odd)").addClass("odd-row");
  dataTable.find("td:first-child").addClass("first");
  dataTable.find("td:last-child").addClass("last"); 
  dataTable.find(".odd-row:first-child").addClass("table-header"); 

  dataTable.find(".odd-row:first-child th:first-child").addClass("first");
  dataTable.find(".odd-row:first-child th:last-child").addClass("last");
    
  if(dataTable.find ("th").is(":only-child")) 
    dataTable.find("th:only-child").removeClass("first last").addClass("single");

    messTable.find("tr:nth-child(odd)").addClass("odd-row");
    /* TABLES  [end] */        
  
    /* TOOLTIP */
    /*---------------------------------------------
      @ tooltip will search for attribute 'tip' 
      on hovered element 
    ----------------------------------------------*/
    
9
	tooltip.live("mouseenter", function(e) {
        e.stopPropagation();
        var el = $(this);
        this.txt = el.attr("tip");
        var newTr = '<span id="tip">' + this.txt + '</span>';
        $("body").append(newTr);
        posTooltip(e);
    }).live("mouseleave", function(e) {
      $("body").find("#tip").remove();
    }).live("focusout", function(e) {
      $("body").find("#tip").remove();
    }).live("mousemove",function(e) {
      e.stopPropagation();
      posTooltip(e);
    });
	

    function posTooltip(e) {
      var tip = $("#tip");
      var mousex = e.pageX + 20;
      var mousey = e.pageY + 10;
      var tipWidth = tip.outerWidth();
      var tipHeight = tip.outerHeight();
  
      var tipVisX = $(window).width() - (mousex + tipWidth);
      var tipVisY = $(window).height() - (mousey + tipHeight);
  
      if ( tipVisX < 20 ) {
        mousex = e.pageX - tipWidth ;
      } if ( tipVisY < 20 ) {
        mousey = e.pageY - tipHeight;
      }
      
      tip.css({  top: mousey, left: mousex });
    }

    
    /* panel action footer start*/
    var footer = $("#page-navigation");
    ref =  footer.prev();
    positionFooter();    
    
    function positionFooter() {
      footerHeight = footer.outerHeight();
      footerWidth = footer.outerWidth();
      footerTop = ($(window).scrollTop()+$(window).height()-footerHeight)+"px";
      footerLeft = ($(window).width() - footer.outerWidth())/2 + $(window).scrollLeft() + "px";
      
      if ( (ref.height()+footerHeight) < $(window).height()) {
        footer.css(
          {
            position: "absolute",
            top: footerTop,
            left:footerLeft
           }
         );
       } else {
         footer.css( "position" , "static" );
       }
    }
  
    $(window).resize(positionFooter)
             .scroll(positionFooter); 
    /* panel action footer end */
    
    $('#pinBox').css("display","none");
    
    $('input.showpin').focus(
      function () {
        $('#pinBox').css("display","block");
        positionBox($(this));
      }
    );
    
    function positionBox(element) {
      var w = element.width(); 
      var pos = element.position();
      console.log(pos.left + " " + pos.top);
      
      $('#pinBox').css(
        {
          "top" : pos.top,
          "left" :  pos.left + w
        }
      );
    }
}